OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
TCPQueryConnecter Class Reference

Non blocking connection create to query servers. More...

Inheritance diagram for TCPQueryConnecter:

## Public Member Functions
| TCPQueryConnecter (const NetworkAddress &address)
virtual void | OnFailure ()
virtual void | OnConnect (SOCKET s)

## Additional Inherited Members
Private Member Functions inherited from TCPConnecter
| TCPConnecter (const NetworkAddress &address)
| Create a new connecter for the given address.
virtual | ~TCPConnecter ()
| Silence the warnings.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
Static Private Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e.
static void | KillAll ()
| Kill all connection attempts.

## Detailed Description

Non blocking connection create to query servers.

Definition at line 577 of file network.cpp.

The documentation for this class was generated from the following file:

- src/network/network.cpp